Grass GUI problems

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Grass GUI problems

Dima Abramov

Good day !

I've recently installed grass on my Ubuntu 18.04 using next command:

sudo apt install grass

in my source list I'm using next repositories:

When I'm trying to run grass or grass76 from terminal I'm facing next problem:


They are giving same output. But:

despite this fact I can run grass from application menu


What may cause this type of relation ?


Sincerely,

Abramov Dima


_______________________________________________
grass-user mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/grass-user
Reply | Threaded
Open this post in threaded view
|

Re: Grass GUI problems

Micha Silver-2

From your screen shot, I guess you're trying to run GRASS from a conda environment.

Try to deactiviate conda and then it should work from the command line. If that works, and you must have grass working from within a conda environment, you'll have to install in that environment all dependencies: among the python-wxgtk and python-wxversion



On 7/23/19 5:37 PM, Dima Abramov wrote:

Good day !

I've recently installed grass on my Ubuntu 18.04 using next command:

sudo apt install grass

in my source list I'm using next repositories:

When I'm trying to run grass or grass76 from terminal I'm facing next problem:


They are giving same output. But:

despite this fact I can run grass from application menu


What may cause this type of relation ?


Sincerely,

Abramov Dima


_______________________________________________
grass-user mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/grass-user
-- 
Micha Silver
Ben Gurion Univ.
Sde Boker, Remote Sensing Lab
cell: +972-523-665918

_______________________________________________
grass-user mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/grass-user